#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

#define el '\n'
#define ff first
#define ss second
#define pii pair <ll, ll>
#define pb push_back
#define popb pop_back
#define fr(x, l, r) for(ll (x) = l; (x) <= r; (x)++)
#define frb(x, r, l) for(ll (x) = r; (x) >= l; (x)--)

mt19937_64 rnd(time(0));

ll const N = 3e5 + 100;
ll const INF = 1e18 + 100;

ll a[N];

void solve() {
    ll n;
    cin >> n;
    fr(i, 0, n - 1)
        cin >> a[i];

    sort(a, a + n);
    for(int mask = 0; mask < (1ll << n); mask++) {
        bool ok = 1;
        ll wasl = a[0], wasr = a[0], difl = 0, difr = 0;
        fr(i, 0, n - 1) {
            if((mask >> i & 1)) {
                ll dif = a[i] - wasr;
                if(dif < difr) ok = 0;
                difr = dif;
                wasr = a[i];
            }
            else {
                ll dif = a[i] - wasl;
                if(dif < difl) ok = 0;
                difl = dif;
                wasl = a[i];
            }
        }

        if(ok) return void(cout << "YES" << el);
    }
    cout << "NO" << el;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

    int t = 1;
    cin >> t;
    while(t--)
        solve();
}